GET https://api.zatomic.ai/v1/context/items/{contextItemId}/versions
// Example
GET https://api.zatomic.ai/v1/context/items/ctx_2qRzu8geIvfudcJTwP0pur4TbMJ/versions
API Reference
- Overview
- Versioning
- Authentication
- Workspaces
- Status Codes and Errors
- Credit Usage
- Expanding Objects
- OpenAPI Spec
- Context Items
- The Context Item Object
- Create File Context Item
- Create Text Context Item
- Update Context Item
- Delete Context Item
- Retrieve Context Item
- Retrieve All Context Items
- Context Item Versions
- The Context Item Version Object
- Create File Context Item Version
- Create Text Context Item Version
- Update File Context Item Version
- Update Text Context Item Version
- Delete Context Item Version
- Retrieve Context Item Version
- Retrieve All Context Item Versions
- Context Packs
- The Context Pack Object
- Create Context Pack
- Update Context Pack
- Delete Context Pack
- Retrieve Context Pack
- Retrieve All Context Packs
- Context Pack Versions
- The Context Pack Version Object
- Create Context Pack Version
- Update Context Pack Version
- Delete Context Pack Version
- Retrieve Context Pack Version
- Retrieve All Context Pack Versions
- Projects
- The Project Object
- Create Project
- Update Project
- Delete Project
- Retrieve Project
- Retrieve All Projects
- Prompts
- The Prompt Object
- Create Prompt
- Update Prompt
- Delete Prompt
- Retrieve Prompt
- Retrieve All Prompts
- Generate Prompt
- Prompt Versions
- The Prompt Version Object
- Create Prompt Version
- Update Prompt Version
- Delete Prompt Version
- Retrieve Prompt Version
- Retrieve All Prompt Versions
- Calculate Prompt Version Score
- Retrieve Prompt Version Score
- Generate Prompt Version Heatmap
- Retrieve Prompt Version Heatmap
- Analyze Prompt Version Balance
- Retrieve Prompt Version Balance
- Analyze Prompt Version Risk
- Retrieve Prompt Version Risk
- Improve Prompt Version
- Scoring Criteria
- The Scoring Criteria Object
- The Scoring Criterion Object
- Create Scoring Criteria
- Update Scoring Criteria
- Delete Scoring Criteria
- Retrieve Scoring Criteria
- Retrieve All Scoring Criteria
- Generate Scoring Criteria
- Create Scoring Criterion
- Update Scoring Criterion
- Delete Scoring Criterion
- Retrieve Scoring Criterion
- Scoring Criteria Results
- The Scoring Criteria Results Object
- Scoring
- The Scoring Object
- Calculate Prompt Score
- Heatmaps
- The Heatmap Object
- Generate Prompt Heatmap
- Balance
- The Balance Object
- Analyze Prompt Balance
- Risk
- The Risk Object
- Analyze Prompt Risk
Retrieve All Context Item Versions
Returns the list of all context item versions for a context item, sorted by version updated date in descending order.
Endpoint
Endpoint Response
A successful call returns a response that contains a list of context item version objects.
| HTTP Status Codes | ||
|---|---|---|
| 200 | OK | The context item versions were retrieved, or an empty list was returned. |
| 500 | Internal Server Error | Something went wrong on Zatomic's end. |
Response Body - File Context Item Versions
[
{
"version_id": "ctv_2qRzu8qzlNOMhTrini2EKCDh5r6",
"context_item_id": "ctx_2qRzu8geIvfudcJTwP0pur4TbMJ",
"created": "2024-12-19T20:33:16.076891Z",
"updated": "2024-12-19T20:39:13.026997Z",
"is_primary": true,
"is_locked": false,
"locked_by": null,
"name": null,
"type": "file",
"file_name": "file.md",
"file_size_in_bytes": 17824,
"file_download_url": "https://download-url"
}
]
Response Body - Text Context Item Versions
[
{
"version_id": "ctv_2qRzu8qzlNOMhTrini2EKCDh5r6",
"context_item_id": "ctx_2qRzu8geIvfudcJTwP0pur4TbMJ",
"created": "2024-12-19T20:33:16.076891Z",
"updated": "2024-12-19T20:39:13.026997Z",
"is_primary": true,
"is_locked": false,
"locked_by": null,
"name": null,
"type": "text",
"content": "This is a reusable piece of text."
}
]